This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1485346 - (CVE-2017-13693) CVE-2017-13693 kernel: ACPI operand cache leak in dsutils.c
CVE-2017-13693 kernel: ACPI operand cache leak in dsutils.c
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170719,repor...
: Security
Depends On: 1485355 1488750 1485356 1488743 1488744 1488745 1488746
Blocks: 1485352
  Show dependency treegraph
 
Reported: 2017-08-25 08:58 EDT by Adam Mariš
Modified: 2017-09-15 07:52 EDT (History)
53 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the kernel's ACPI interpreter when it does not flush the operand cache and causes a kernel stack dump. This allows local users to obtain sensitive information from kernel memory and bypass the KASLR protection mechanism.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-15 07:52:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-08-25 08:58:56 EDT
The acpi_ds_create_operands() function in drivers/acpi/acpica/dsutils.c
in the Linux kernel through 4.12.9 does not flush the operand cache and
causes a kernel stack dump, which allows local users to obtain
sensitive information from kernel memory and bypass the KASLR
protection mechanism (in the kernel through 4.9) via a crafted ACPI
table.

Upstream fix:

https://github.com/acpica/acpica/pull/295/commits/987a3b5cf7175916e2a4b6ea5b8e70f830dfe732
https://patchwork.kernel.org/patch/9919053/
Comment 1 Adam Mariš 2017-08-25 09:07:09 EDT
Created acpica-tools tracking bugs for this issue:

Affects: fedora-all [bug 1485355]


Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1485356]
Comment 4 Wade Mealing 2017-09-06 03:56:20 EDT
Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/

The Red Hat Security Response Team has rated this issue as having moderate security impact.

The risks associated with fixing this bug are greater than the moderate severity security risk. We therefore currently have no plans to fix this flaw in Red Hat Enterprise Linux 5,6,7 and Red Hat Enterprise MRG.

Note You need to log in before you can comment on or make changes to this bug.